#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, l, i, r=0;
    scanf(" %d", &n);
    scanf(" %d", &l);
    int h[n];
    for(i=1;i<=n;i++){
        scanf(" %d", &h[i]);
        if(h[i]>l){
            printf("\n%d", i);
            r=1;
        }
    }
    if(r!=1){
        printf("\n-1");
    }
    return 0;
}